# Class webdriver.http.Request

code »

Describes a partial HTTP request. This class is a "partial" request and only defines the path on the server to send a request to. It is each `webdriver.http.Client`'s responsibility to build the full URL for the final request.

## Constructor

webdriver.http.Request ( method, path, opt_data )

Parameters

method: `string`
  The HTTP method to use for the request.
path: `string`
  Path on the server to send the request to.
opt_data: `Object=`
  This request's JSON data.

Show:PublicProtectedPrivate

## Instance Methods

code » toString ( ) ⇒ `string`

## Instance Properties

code » data : `!Object`

This request's body.

code » headers : `!Object`

The headers to send with the request.

code » method : `string`

The HTTP method to use for the request.

code » path : `string`

The path on the server to send the request to.